Aller au contenu
Français

Modèles de messages

POST/v1/mailboxes/{mailbox_id}/templates

Jusqu’à 100 modèles par boîte. Champs : name, subject, text et html ; le HTML est nettoyé. Un modèle n’envoie pas de message tout seul.

Zones d’autorisation et d’accès · Erreurs et répétitions

Demande

Fenêtre de terminal
curl -X POST 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/templates' \
-H 'Authorization: Bearer <access_token>' \
-H 'Content-Type: application/json' \
--data '{"name":"<name>"}'

Possibilités

mailbox_idpathNécessairement

integer

X-Customer-IDheader
Option 1

string

Option 2

null

Corps de la demande · application/json

object

nameNécessairement

string

minLength: 1

maxLength: 120

subject

string

Défaut: ""

maxLength: 998

text

string

Défaut: ""

maxLength: 20000

html

string

Défaut: ""

maxLength: 30000

Les champs inconnus ne sont pas acceptés.

Réponses

201 Réponse réussie

application/json

object

idNécessairement

integer

dataNécessairement

object

nameNécessairement

string

minLength: 1

maxLength: 120

subject

string

Défaut: ""

maxLength: 998

text

string

Défaut: ""

maxLength: 20000

html

string

Défaut: ""

maxLength: 30000

Les champs inconnus ne sont pas acceptés.

updated_atNécessairement

string

Date et heure en UTC. S'il n'y a pas de décalage, la valeur représente également UTC.

401 Connexion requise

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

403 Pas d'accès

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

404 Ressource introuvable

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

409 Conflit d'État

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

422 Erreur de validation

application/json

object

detail

array

Éléments du tableau

object

locNécessairement

array

Éléments du tableau
Option 1

string

Option 2

integer

msgNécessairement

string

typeNécessairement

string

503 Indisponibilité temporaire

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object